Home

# Class goog.proto2.ObjectSerializer

ObjectSerializer, a serializer which turns Messages into simplified ECMAScript objects.

extends goog.proto2.Serializer

Instance Method Summary
| `deserializeTo(?goog.proto2.Message message, ?Object data)` Deserializes a message from an object and places the data in the message.
| `serialize(?goog.proto2.Message message) ⇒ ?Object` Serializes a message to an object.